Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 478920

Summary: Review Request: globus-xio-popen-driver - Globus Toolkit - Globus XIO Pipe Open Driver
Product: [Fedora] Fedora Reporter: Mattias Ellert <mattias.ellert>
Component: Package ReviewAssignee: Orcan Ogetbil <oget.fedora>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, notting, oget.fedora
Target Milestone: ---Flags: oget.fedora: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 0.2-2.fc11 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-05-02 16:29:04 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 453847, 478917    
Bug Blocks: 478923    

Description Mattias Ellert 2009-01-06 01:01:35 UTC
Spec URL: http://www.grid.tsl.uu.se/repos/globus/info/globus-xio-popen-driver.spec
SRPM URL: http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-xio-popen-driver-0.2-0.3.fc10.src.rpm

Description:
The Globus Toolkit is an open source software toolkit used for
building Grid systems and applications. It is being developed by the
Globus Alliance and many others all over the world. A growing number
of projects and companies are using the Globus Toolkit to unlock the
potential of grids for their cause.

The globus-xio-popen-driver package contains:
Globus XIO BW Limit Driver

BuildRequires:	grid-packaging-tools
BuildRequires:	globus-xio-devel

Based on the globus toolkit 4.2.1 release.

Applied patches submitted upstream:

Wrong dependency information:
http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6588

Comment 1 Mattias Ellert 2009-03-16 00:01:30 UTC
New version
- Added s390x as 64 bit arch
- Added comment documenting source
- Adapt to changes in the globus-core package

http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-xio-popen-driver-0.2-0.5.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/globus-xio-popen-driver.spec

Comment 2 Mattias Ellert 2009-04-17 13:44:59 UTC
Package updated due to new packaging guidelines
- Change defines to globals
- Remove explicit requires on library packages

http://www.grid.tsl.uu.se/repos/globus/info/new/globus-xio-popen-driver-0.2-1.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/new/globus-xio-popen-driver.spec

Draft packaging guidelines for Globus packages are now available:
http://fedoraproject.org/wiki/PackagingDrafts/Globus

Comment 3 Orcan Ogetbil 2009-04-22 22:09:21 UTC
I have a couple questions for this one:

* Please don't abbreviate BW in the description. Is it bandwidth?

? Do we really need to use the word "Globus" twice in the summary for this package?

? # This library is opened using lt_dlopenext,...
Uhm, why? How many packages do that? Can't those packages be "fixed" instead?

- Package builds on rawhide, the built packages were checked and they are fine:
   http://koji.fedoraproject.org/koji/taskinfo?taskID=1315798

Comment 4 Mattias Ellert 2009-04-24 11:51:10 UTC
(In reply to comment #3)
> I have a couple questions for this one:
> 
> * Please don't abbreviate BW in the description. Is it bandwidth?

The package description was kind of weird, wasn't it? It didn't really fit the name of the package. My first response to your question was "of course it means bandwidth", but since I really had no backup for such a claim I started to look at the sources to figure it out. This package has no doxygen markup and not much other comments either, so this was not easy.

I ended up writing an e-mail to the upstream author of this package asking him what the package description meant. It turned out that in this case the package description was way off, as it was the same as in the XIO skeleton driver template package (source-trees/xio/drivers/skeleton/source) and hadn't been adopted to describe what this driver is doing, when the skeleton had been used as a basis for this package.

The upstream author has now fixed the description in the upstream CVS:

http://viewcvs.globus.org/viewcvs.cgi/xio/drivers/popen/source/pkgdata/pkg_data_src.gpt.in?r1=1.3&r2=1.4&view=patch

I have added this change as a patch to the updated package. I also added an additional sentence to the long description, since also the new description is a bit cryptic.

> ? Do we really need to use the word "Globus" twice in the summary for this
> package?

Since this is in the autogenerated part of the specfile, I'd like to keep it.

> ? # This library is opened using lt_dlopenext,...
> Uhm, why? How many packages do that? Can't those packages be "fixed" instead?

The XIO framework has a number of built-in drivers. But it is extendible by using plugins that contain additional drivers. These plugins are based on the libtool dynamic loader library (libltdl).

The libltdl, when opening a plugin, reads the .la file to find out the real library name .so.X and then opens this library. If the .la file is not there it can not find which library to load. So runtime access to the .la file is needed. There is really no way to "fix" this as long as upstream uses libltdl to load plugins.

I documented this feature in the Plugins section of the Packaging Draft:
http://fedoraproject.org/wiki/PackagingDrafts/Globus#Plugins

Of the 30 globus packages I have submitted for review 2 are plugins that are opened using this mechanism.

Updated package with corrected package description:
http://www.grid.tsl.uu.se/repos/globus/info/new/globus-xio-popen-driver-0.2-2.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/new/globus-xio-popen-driver.spec

Comment 5 Orcan Ogetbil 2009-04-24 16:42:04 UTC
Thanks for updating the description and adding information to the wiki page. I guess we will have to live with these .la files.

The updated package meets our guidelines.Thus

----------------------------------------------------------
This package (globus-xio-popen-driver) is APPROVED by oget
----------------------------------------------------------

Comment 6 Mattias Ellert 2009-04-24 16:57:12 UTC
Thank you for the review. We all have to live with upstream...


New Package CVS Request
=======================
Package Name: globus-xio-popen-driver
Short Description: Globus Toolkit - Globus XIO Pipe Open Driver
Owners: ellert
Branches: F-9 F-10 F-11 EL-4 EL-5
InitialCC:

Comment 7 Kevin Fenzi 2009-04-27 05:06:07 UTC
cvs done.

Comment 8 Fedora Update System 2009-04-28 02:50:30 UTC
globus-xio-popen-driver-0.2-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/globus-xio-popen-driver-0.2-2.fc10

Comment 9 Fedora Update System 2009-04-28 02:50:35 UTC
globus-xio-popen-driver-0.2-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/globus-xio-popen-driver-0.2-2.fc9

Comment 10 Fedora Update System 2009-05-02 16:28:59 UTC
globus-xio-popen-driver-0.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-05-02 16:31:12 UTC
globus-xio-popen-driver-0.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-05-08 13:55:18 UTC
globus-xio-popen-driver-0.2-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/globus-xio-popen-driver-0.2-2.fc11

Comment 13 Fedora Update System 2009-05-12 04:02:24 UTC
globus-xio-popen-driver-0.2-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.